> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get file share



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/file_shares/{project_id}/{region_id}/{file_share_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-11T15:10:30.328297+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/file_shares/{project_id}/{region_id}/{file_share_id}:
    get:
      tags:
        - File Shares
      summary: Get file share
      operationId: SfsInstanceViewSet.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
        - in: path
          name: file_share_id
          required: true
          description: File Share ID
          schema:
            description: File Share ID
            example: bd8c47ee-e565-4e26-8840-b537e6827b08
            examples:
              - bd8c47ee-e565-4e26-8840-b537e6827b08
            format: uuid4
            title: File Share Id
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileShareSerializer'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            file_share = client.cloud.file_shares.get(
                file_share_id="bd8c47ee-e565-4e26-8840-b537e6827b08",
                project_id=1,
                region_id=1,
            )
            print(file_share.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tfileShare, err := client.Cloud.FileShares.Get(\n\t\tcontext.TODO(),\n\t\t\"bd8c47ee-e565-4e26-8840-b537e6827b08\",\n\t\tcloud.FileShareGetParams{\n\t\t\tProjectID: gcore.Int(1),\n\t\t\tRegionID:  gcore.Int(1),\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", fileShare.ID)\n}\n"
components:
  schemas:
    FileShareSerializer:
      properties:
        connection_point:
          anyOf:
            - type: string
            - type: 'null'
          description: Connection point. Can be null during File share creation
          examples:
            - 10.254.0.43:/shares/share-7c14ca01-ea5e-4d85-a6e2-c104fe6b561a
          title: Connection Point
        created_at:
          description: Datetime when the file share was created
          example: '2023-04-25T11:06:49.226920'
          examples:
            - '2023-04-25T11:06:49.226920'
          title: Created At
          type: string
        creator_task_id:
          description: Task that created this entity
          example: 6ab1ead7-8640-4ae9-9e20-9e0bafcd2eca
          examples:
            - 6ab1ead7-8640-4ae9-9e20-9e0bafcd2eca
          format: uuid4
          title: Creator Task Id
          type: string
        id:
          description: File share ID
          example: bd8c47ee-e565-4e26-8840-b537e6827b08
          examples:
            - bd8c47ee-e565-4e26-8840-b537e6827b08
          format: uuid4
          title: Id
          type: string
        name:
          description: File share name
          example: test-sfs
          examples:
            - test-sfs
          title: Name
          type: string
        network_id:
          description: Network ID.
          example: e72fd98e-32fa-474d-b0a3-bca11c3064ff
          examples:
            - e72fd98e-32fa-474d-b0a3-bca11c3064ff
          format: uuid4
          title: Network Id
          type: string
        network_name:
          description: Network name.
          example: File_share_test-sfs
          examples:
            - File_share_test-sfs
          title: Network Name
          type: string
        project_id:
          description: Project ID
          example: 1337
          examples:
            - 1337
          title: Project Id
          type: integer
        protocol:
          description: File share protocol
          example: NFS
          examples:
            - NFS
          title: Protocol
          type: string
        region:
          description: Region name
          example: Luxembourg 1
          examples:
            - Luxembourg 1
          title: Region
          type: string
        region_id:
          description: Region ID
          example: 7
          examples:
            - 7
          title: Region Id
          type: integer
        share_network_name:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Share network name. May be null if the file share was created with
            volume type VAST
          examples:
            - File_share_test-sfs_network
          title: Share Network Name
        share_settings:
          $ref: '#/components/schemas/ShareSettingsSerializer'
          description: Share settings specific to the file share type
        size:
          description: File share size in GiB
          example: 10
          examples:
            - 10
          minimum: 1
          title: Size
          type: integer
        status:
          $ref: '#/components/schemas/FileShareStatusChoices'
          description: File share status
          examples:
            - available
        subnet_id:
          description: Subnet ID.
          example: ac601bb9-4d77-4356-96de-66ab29711815
          examples:
            - ac601bb9-4d77-4356-96de-66ab29711815
          format: uuid4
          title: Subnet Id
          type: string
        subnet_name:
          description: Subnet name.
          example: subnet_test-sfs
          examples:
            - subnet_test-sfs
          title: Subnet Name
          type: string
        tags:
          description: >-
            List of key-value tags associated with the resource. A tag is a
            key-value pair that can be associated with a resource, enabling
            efficient filtering and grouping for better organization and
            management. Some tags are read-only and cannot be modified by the
            user. Tags are also integrated with cost reports, allowing cost data
            to be filtered based on tag keys or values.
          example:
            - key: my-tag
              read_only: false
              value: my-tag-value
          examples:
            - - key: my-tag
                read_only: false
                value: my-tag-value
          items:
            $ref: '#/components/schemas/TagSerializer'
          title: Tags
          type: array
        task_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          description: >-
            The UUID of the active task that currently holds a lock on the
            resource. This lock prevents concurrent modifications to ensure
            consistency. If `null`, the resource is not locked.
          examples:
            - 22b1eau7-8641-4ae9-9n20-9e0b5fcd2gca
          title: Task Id
        type_name:
          $ref: '#/components/schemas/FileShareTypeName'
          description: File share type name
          examples:
            - standard
        volume_type:
          $ref: '#/components/schemas/FileShareShareType'
          deprecated: true
          description: Deprecated. Use `type_name` instead. File share disk type
          examples:
            - default_share_type
      required:
        - project_id
        - region_id
        - region
        - connection_point
        - created_at
        - creator_task_id
        - id
        - tags
        - name
        - network_id
        - network_name
        - protocol
        - share_network_name
        - size
        - status
        - subnet_id
        - subnet_name
        - task_id
        - volume_type
        - type_name
        - share_settings
      title: FileShareSerializer
      type: object
    ShareSettingsSerializer:
      discriminator:
        mapping:
          standard:
            $ref: '#/components/schemas/StandardShareSettingsOutputSerializer'
          vast:
            $ref: '#/components/schemas/VastShareSettingsOutputSerializer'
        propertyName: type_name
      oneOf:
        - $ref: '#/components/schemas/StandardShareSettingsOutputSerializer'
        - $ref: '#/components/schemas/VastShareSettingsOutputSerializer'
      title: ShareSettingsSerializer
    FileShareStatusChoices:
      enum:
        - available
        - awaiting_transfer
        - backup_creating
        - backup_restoring
        - backup_restoring_error
        - creating
        - creating_from_snapshot
        - deleted
        - deleting
        - ensuring
        - error
        - error_deleting
        - extending
        - extending_error
        - inactive
        - manage_error
        - manage_starting
        - migrating
        - migrating_to
        - replication_change
        - reverting
        - reverting_error
        - shrinking
        - shrinking_error
        - shrinking_possible_data_loss_error
        - unmanage_error
        - unmanage_starting
        - unmanaged
      title: FileShareStatusChoices
      type: string
    TagSerializer:
      description: >-
        A tag is a key-value pair that can be associated with a resource,

        enabling efficient filtering and grouping for better organization and
        management.

        Some tags are read-only and cannot be modified by the user.

        Tags are also integrated with cost reports, allowing cost data to be
        filtered based on tag keys or values.
      properties:
        key:
          description: >-
            Tag key. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag
          examples:
            - my-tag
          title: Key
          type: string
        read_only:
          description: If true, the tag is read-only and cannot be modified by the user
          example: false
          examples:
            - false
          title: Read Only
          type: boolean
        value:
          description: >-
            Tag value. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag-value
          examples:
            - my-tag-value
          title: Value
          type: string
      required:
        - key
        - value
        - read_only
      title: TagSerializer
      type: object
    FileShareTypeName:
      enum:
        - standard
        - vast
      title: FileShareTypeName
      type: string
    FileShareShareType:
      enum:
        - default_share_type
        - vast_share_type
      title: FileShareShareType
      type: string
    StandardShareSettingsOutputSerializer:
      properties:
        type_name:
          const: standard
          description: Standard file share type
          title: Type Name
          type: string
      required:
        - type_name
      title: StandardShareSettingsOutputSerializer
      type: object
    VastShareSettingsOutputSerializer:
      properties:
        allowed_characters:
          anyOf:
            - enum:
                - LCD
                - NPL
              type: string
            - type: 'null'
          examples:
            - NPL
          title: Allowed Characters
        path_length:
          anyOf:
            - enum:
                - LCD
                - NPL
              type: string
            - type: 'null'
          examples:
            - LCD
          title: Path Length
        root_squash:
          description: >-
            Enables or disables root squash for NFS clients.

            - If `true`, root squash is enabled: the root user is mapped to
            nobody for all file and folder management operations on the export.

            - If `false`, root squash is disabled: the NFS client `root` user
            retains root privileges.
          example: true
          examples:
            - true
          title: Root Squash
          type: boolean
        type_name:
          const: vast
          description: Vast file share type
          title: Type Name
          type: string
      required:
        - type_name
        - root_squash
        - path_length
        - allowed_characters
      title: VastShareSettingsOutputSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````